Consumers
List managed consumers with pending counts
List each saved consumer, its opaque acknowledged_cursor, delivery and acknowledgement timestamps, and how many matching entries are waiting past that checkpoint.
GET
https://api.smry.ai
/
v1
/
feeds
/
consumers
List managed consumers with pending counts
curl --request GET \
--url https://api.smry.ai/v1/feeds/consumers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smry.ai/v1/feeds/consumers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smry.ai/v1/feeds/consumers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "feed_consumer_list",
"consumers": [
{}
]
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}Authorizations
oauth2AuthbearerAuthapiKeyAuth
Clerk OAuth 2.0 Authorization Code flow with PKCE. Request the minimum scope required by the operation.
Last modified on September 13, 2026
⌘I
List managed consumers with pending counts
curl --request GET \
--url https://api.smry.ai/v1/feeds/consumers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smry.ai/v1/feeds/consumers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smry.ai/v1/feeds/consumers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "feed_consumer_list",
"consumers": [
{}
]
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}